import request from '@/utils/request'
const service_name ='xkhl-identity'
const group_name ='unionAuth'
const Customer_name = 'oilCustomerChannelRelation'
const WchatLogin_name ='weChatCloudAuthorization'
export default{
	// 新登录接口 手机密码登录
	loginByPhonePwd (data) {
	   return request({
	     url: `/${service_name}/${group_name}/loginPwd`,
	     method: 'post',
	     data:data
	   })
	 },
	// 新登录接口 手机密码登录
	logout () {
	   return request({
	     url: `/${service_name}/${group_name}/logout`,
	     method: 'get',
	   })
	 },
	 // 获取用户信息
	 sendCode(code){
		 return request({
		   url: `/xkhl-identity/unionAuth/sendCode`,
		   method: 'post',
		   data:{
		      	code:code,
		   		appId:'wxaf56b8bae925ba19'
		   }
		 })
	 },
	 // 获取验证码
	 getVerifyCode(phone){
		 return request({
		   url: `/${service_name}/${group_name}/getVerifyCode`,
		   method: 'post',
		   data:	phone,
		   })
	 },
	 // 验证码登录
	 verifyCodeLogin(data){
	 	return request({
	 		   url: `/${service_name}/${group_name}/verifyCodeLogin`,
	 		   method: 'post',
	 		   data:data,

		})
	 },
	 //切换油站
	 changeChannelLogin(data){
		 return request({
		 	   url: `/xkhl-identity/unionAuth/changeSiteLogin`,
		 	   method: 'post',
		 	   data:data,

		 })
	 },
	 //微信一键登录 new
	 loginPersonal(data){
		 return request({
		 	   url: `/xkhl-identity/unionAuth/loginPersonal`,
		 	   method: 'post',
		 	   data:data,

		 })
	 },
	 //首次登录绑定手机号 绑定微信手机号 new
	 bindLoginByPhonePersonal(data){
		 return request({
		 	   url: `/xkhl-identity/unionAuth/bindLoginByPhonePersonal`,
		 	   method: 'post',
		 	   data:data,

		 })
	 },
	 //首次登录绑定手机号 当用户拒绝获取微信手机号时走此接口，判断用户是否存在，不存在提示注册，存在就发送验证码登录 new
	 bindWeChatSendVerifyCode(data){
		 return request({
		 	   url: `/${service_name}/${WchatLogin_name}/bindWeChatSendVerifyCode`,
		 	   method: 'post',
		 	   data:data,

		 })
	 },
	 // 首次登录绑定手机号 当用户拒绝获取微信手机号时走此接kou 手机号存在账户时，调用此接口登录 个人通道
	 bindWeChatLoginByVerifyCodePersonal(){
		 return request({
		 	   url: `/${service_name}/${WchatLogin_name}/bindWeChatLoginByVerifyCodePersonal`,
		 	   method: 'post',
		 	   data:data,

		 })
	 },
	 bindLoginByPhone (data) {
	    return request({
	      url: `/${service_name}/${group_name}/bindLoginByPhone`,
	      method: 'post',
	      data:data
	    })
	  },
}
